Subject: [bug#74329] [PATCH 2/2] gnu: Lint descriptions.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 29 Dec 2024 11:30:02 +0100

Hey,

Gabriel Wicki <[email-masked]> skribis:

>>>From 91cfde3b8e67bd7e783c508447a6880d908bf38f Mon Sep 17 00:00:00 2001
> Message-ID: <[email-masked]>
> In-Reply-To: <[email-masked]>
> References: <[email-masked]>
> From: Gabriel Wicki <[email-masked]>
> Date: Tue, 5 Nov 2024 23:29:25 +0100
> Subject: [PATCH 2/2] gnu: Lint descriptions.
>
> Correct descriptions of a bunch of packages.
>
> Change-Id: Ie13f55fc251b6935ef3404a54559229e4713fcff

[...]

> +      (description "The @emph{config.guess} script tries to guess a canonical
> +system triple, and @emph{config.sub} validates and canonicalizes.  These are
> +used as part of configuration in nearly all GNU packages (and many others).")

“@emph” is for emphasis; it should be @command here instead.

> +installed fonts across different operating systems.  The @emph{systemfonts}
> +package provides bindings to the native libraries for finding font files that

Likewise, @code{systemfonts}.

> -@item individual conditional expectation ('ice') plots described by Goldstein
> +@item individual conditional expectation (@emph{ice}) plots described by Goldstein

@acronym here.

>       "This package contains the function @code{ggsurvplot()} for easily
> -drawing beautiful and 'ready-to-publish' survival curves with the 'number at
> -risk' table and 'censoring count plot'.  Other functions are also available to
> -plot adjusted curves for Cox model and to visually examine Cox model
> -assumptions.")
> +drawing beautiful and @emph{ready-to-publish} survival curves with the
> +@emph{number at risk} table and @emph{censoring count plot}.  Other functions

Rather quotes like this: ``ready-to-publish'', not emphasis (those
quotes get special treatment in Texinfo).

> -use on EC2 instances, the package 'aws.ec2metadata' is suggested.")
> +use on EC2 instances, the package @emph{aws.ec2metadata} is suggested.")

@code.

> -to clean up the ``zombie'' processes.
> +to clean up the @emph{zombie} processes.

Just leave it as it was.

> -     "This package provides an implementation of the ``stringprep'' algorithm
> -as defined in RFC 3454.")
> +     "This package provides an implementation of the @emph{stringprep}

Likewise.

> +      (description "@emph{xah-fly-keys.el} is a modal editing mode for Emacs,

Should be @code.

I’m stopping here, but I think there’s a problem with how @emph is used
in many contexts that have nothing to do with emphasis.

Could you review those changes?

I do think it’s nice to clean things up like you do here, so thanks for
these contributions!

Ludo’.